Skip to main content
POST
/
queues
/
{queue_id}
/
cases
/
bulk-delegate
Bulk delegate cases
curl --request POST \
  --url https://api.duvo.ai/v1/queues/{queue_id}/cases/bulk-delegate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "case_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "delegatedCount": 123,
  "skippedCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.duvo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

queue_id
string<uuid>
required

The queue's unique identifier

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$

Body

application/json
case_ids
string<uuid>[]
required

Case IDs to delegate (1-100).

Required array length: 1 - 100 elements
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
agent_id
string<uuid>
required

The agent that should run on the selected cases. Must be a consumer of this queue.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$

Response

Default Response

delegatedCount
number
required
skippedCount
number
required